Update problems with Eclipse Galileo 3.5.1 SR1

I tried to install some features today on my bare install of the newly released Eclipse 3.5.1 and got some very nasty messages about:

“No repository found containing: osgi.bundle,org.eclipse.jdt.core,3.5.1.v_972_R35x”

Solution: Uncheck “Contact all update sites during install to find required software” box.

Thanks to http://groups.google.com/group/google-web-toolkit/msg/9049a2c97896de92